--- a/compile/Make_gcc.mak
+++ b/compile/Make_gcc.mak
@@ -14,7 +14,7 @@
 libmigemo	= libmigemo.so
 EXEEXT		=
 CFLAGS_MIGEMO	= -fPIC
-LDFLAGS_MIGEMO	= -Wl,-rpath,.,-rpath,/usr/local/lib,-rpath,/usr/lib
+LDFLAGS_MIGEMO	=
 
 include config.mk
 include compile/unix.mak
--- a/compile/unix.mak
+++ b/compile/unix.mak
@@ -22,6 +22,7 @@
 			$(MKDIR) $$i; \
 		fi \
 	done
+	touch $@
 
 $(outdir)cmigemo$(EXEEXT): $(objdir)main.$(O) $(libmigemo_LIB)
 	$(CC) -o $@ $(objdir)main.$(O) -L. -L$(outdir) -lmigemo $(LDFLAGS)
--- a/configure
+++ b/configure
@@ -31,12 +31,12 @@
 fi
 
 # Check encoding filter
-if CHECK_COMMAND qkc ; then
-  PROGRAM_ENCODEFILTER="qkc -q -u"
-elif CHECK_COMMAND nkf ; then
+if CHECK_COMMAND nkf ; then
   PROGRAM_ENCODEFILTER="nkf -x"
+elif CHECK_COMMAND qkc ; then
+  PROGRAM_ENCODEFILTER="qkc -q -u"
 else
-  echo "ERROR: Require qkc or nkf installed for encode filter."
+  echo "ERROR: Require nkf or qkc installed for encode filter."
   exit 1
 fi
 
--- a/tools/migemo.vim
+++ b/tools/migemo.vim
@@ -20,7 +20,7 @@
     let dict = globpath(path, "migemo-dict")
   endif
   if dict == ''
-    let dict = '/usr/local/share/migemo/'.&encoding.'/migemo-dict'
+    let dict = '/usr/share/migemo/migemo-dict'
     if !filereadable(dict)
       let dict = ''
     endif
@@ -43,7 +43,9 @@
   nnoremap <Leader>f :call <SID>SearchChar(0)<CR>
 else
   " non-builtin version
-  let g:migemodict = s:SearchDict()
+  if !get(g:, 'migemodict')
+    let g:migemodict = s:SearchDict()
+  endif
   command! -nargs=* Migemo :call <SID>MigemoSearch(<q-args>)
   nnoremap <silent> <leader>mi :call <SID>MigemoSearch('')<cr>
 
@@ -53,11 +55,6 @@
       if retval == ''
         return
       endif
-      if has('iconv') && $HOMEDRIVE != ''
-        let retval = iconv(retval, 'cp932', 'euc-jp')
-      elseif &encoding != 'euc-jp'
-        let retval = iconv(retval, &encoding, 'euc-jp')
-      endif
       "let retval = system('cmigemo -v -w "'.retval.'" -d "'.g:migemodict.'"')
       let retval = system('cmigemo -v -w '.retval.' -d "'.g:migemodict.'"')
       if retval == ''
@@ -88,11 +85,6 @@
       echohl None
       return
     endif
-    if has('iconv') && $HOMEDRIVE != ''
-      let retval = iconv(retval, 'euc-jp', 'cp932')
-    elseif &encoding != 'euc-jp'
-      let retval = iconv(retval, 'euc-jp', &encoding)
-    endif
   
     let @/ = retval
     let v:errmsg = ''
